VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: 070908 - Kompozer 0.7.10  (Read 2552 times)

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
070908 - Kompozer 0.7.10
« on: September 07, 2007, 04:31:29 pm »

exeterdad has packaged the latest Kompozer release for VL 5.8. Get it from the testing repository, along with the source code:

Source: http://vectorlinux.osuosl.org/veclinux-5.8/source/testing/x-dev/kompozer/
Package: http://vectorlinux.osuosl.org/veclinux-5.8/testing/x-dev/kompozer-0.7.10-i586-1vl58.tlz

Code: [Select]
kompozer: kompozer (Html editor)
kompozer:
kompozer: Unofficial bugfix release for NVU. It's a complete Web Authoring
kompozer: System that combines web file management and easy to use WYSIWYG
kompozer: (What You See Is What You Get) web page editing. Kompozer is designed
kompozer: to be extremely easy to use, making it ideal for non-technical
kompozer: computer users who want to create an attractive, professional-looking
kompozer: web site without needing to know HTML or web coding.
kompozer: License: MPL 1.1/GPL 2.0/LGPL 2.1
kompozer: Author:  Original author- Mozilla, now by KazĂ© <kaze@kompozer.net>
kompozer: Website: http://www.kompozer.net/

Post feedback here.
Logged

roseway

  • Packager
  • Vectorite
  • ****
  • Posts: 135
Re: 070908 - Kompozer 0.7.10
« Reply #1 on: September 08, 2007, 02:47:44 am »

I can't get it to run in 5.8 SOHO. There's no menu entry that I can find, and typing 'kompozer' in a terminal results in nothing - no response and no error messages.
Logged
Eric

The Headacher

  • Louder than you
  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1553
  • I like the bass to go BOOM!
    • Multimedia on VL (work in progress)
Re: 070908 - Kompozer 0.7.10
« Reply #2 on: September 08, 2007, 03:32:24 am »

Quote from: roseway
I can't get it to run in 5.8 SOHO. There's no menu entry that I can find, and typing 'kompozer' in a terminal results in nothing - no response and no error messages.
Kompozer installs and runs just fine on my 5.8 SOHO. The menu entry is under "Development", and running "kompozer" from a terminal works just dandy here. perhaps you should try
Code: [Select]
slapt-get --install --reinstall kompozer
Logged
Most music on my soundcloud page was arranged in programs running on VL.

roseway

  • Packager
  • Vectorite
  • ****
  • Posts: 135
Re: 070908 - Kompozer 0.7.10
« Reply #3 on: September 08, 2007, 04:51:04 am »

Thanks for the suggestion, but it made no difference unfortunately. All the files seem to be present under /usr/lib/kompozer-0.7.10, and after typing 'kompozer' there is a process called kompozer-bin running, but no screen or terminal output of any sort.
Logged
Eric

exeterdad

  • Moderator
  • Vectorian
  • *****
  • Posts: 2046
Re: 070908 - Kompozer 0.7.10
« Reply #4 on: September 08, 2007, 07:41:25 am »

roseway, I have faith in your VL skills.  But I must say something seems fishy.  Kompozer not working is one thing, but the menu entries not showing up as well is another.  Especially since The Headacher is running it fine.

Let's start simple.
Verify the existence of the menu items:
Quote
ls -l /usr/share/pixmaps/kompozer.xpm
ls -l /usr/share/applications/kompozer.desktop
Verify the existence of the kompozer sym link:
Quote
ls -l /usr/bin/kompozer
Is a instance of kompozer running in the background preventing kompozer from firing up?
Quote
ps aux | grep kompozer
Then kill any process ID's  of kompozer listed (except for the command you just ran):
Quote
kill XXXX  XXXX etc.
Try executing kompozer again once all the processes are gone.
Have you installed a previous version of kompozer?  It is known that this version of kompozer will not run if you have installed language packs from a previous version of kompozer or NVU.  Delete or rename ~/.kompozer (in your home dir).
Try running again, to create new .kompozer.  Did it run?  If not, did it create a new .kompozer anyway?
Still no luck?  Try uninstalling the kompozer package, remove or rename ~/.kompozer.  Download the package from the link above somewhere on your hard disk.
Quote
wget http://vectorlinux.osuosl.org/veclinux-5.8/testing/x-dev/kompozer-0.7.10-i586-1vl58.tlz
Install:
Quote
installpkg kompozer-0.7.10-i586-1vl58.tlz
See if it works now.
When trying to run kompozer from the command line is there any errors?  Does it exit and return you back to your username, or does it appear like it's running something?

These are things I would try if I was sitting in front of your machine  :)
Logged

roseway

  • Packager
  • Vectorite
  • ****
  • Posts: 135
Re: 070908 - Kompozer 0.7.10
« Reply #5 on: September 08, 2007, 08:21:19 am »

I had already done most of those things, but I just did them again in the order you listed them. The .desktop and .xpm files are in place, and the symlink is present. No spurious kompozer processes are running. Deleting ~/.kompozer and running kompozer from a terminal recreated the ~/.kompozer directory, but nothing else happened. Downloading the package and installing it manually made no difference.

I also tried downloading the binary version from the kompozer site, and this didn't work either, so I don't think your package is the real problem. I downloaded the source and did a quick and dirty build, and it worked fine.

The only clue I've come up with is that, when installing the package there was a message which said "/sbin/ldconfig: /usr/lib/libvmware-vix.so.0 is not a symbolic link". I do have VMWare installed, but what it has to do with kompozer I have no idea.
Logged
Eric

exeterdad

  • Moderator
  • Vectorian
  • *****
  • Posts: 2046
Re: 070908 - Kompozer 0.7.10
« Reply #6 on: September 08, 2007, 08:38:12 am »

Quote
there was a message which said "/sbin/ldconfig: /usr/lib/libvmware-vix.so.0 is not a symbolic link".
Was that from the VL version or from the one you built yourself?
Kompozer was built from a clean 5.8 Standard install with only "requiredbuilder" added.  Then I ditched the install for this vl5.9x adventure. I'm puzzled and relieved that the kompozer tarball you downloaded didn't run for you.  I can only conclude that there is something unique about your current SOHO configuration to keep it from running.  Especially since you were able to build and run your own kompozer.

But what's really got me pulling my hair out is why your menu entries aren't showing up and The Headachers are. What are you guys using for window managers or desktop enviorment?
Logged

roseway

  • Packager
  • Vectorite
  • ****
  • Posts: 135
Re: 070908 - Kompozer 0.7.10
« Reply #7 on: September 08, 2007, 09:02:09 am »

Quote
Was that from the VL version or from the one you built yourself?

The message came from the VL version, immediately before the message saying that it was running the install script.

Quote
Kompozer was built from a clean 5.8 Standard install with only "requiredbuilder" added.  Then I ditched the install for this vl5.9x adventure. I'm puzzled and relieved that the kompozer tarball you downloaded didn't run for you.  I can only conclude that there is something unique about your current SOHO configuration to keep it from running.  Especially since you were able to build and run your own kompozer.

Yes, there's nothing particularly unusual about my setup. It's 5.8 SOHO with all the updates and a few extra packages installed from the repos. The only non-VL package which is installed is VMware.

Quote
But what's really got me pulling my hair out is why your menu entries aren't showing up and The Headachers are. What are you guys using for window managers or desktop enviorment?

Nothing odd I'm afraid. :) Just the normal KDE from VL.

I've got another SOHO installation which I can fire up on a different machine. When I get the chance I'll try kompozer on that.
Logged
Eric

exeterdad

  • Moderator
  • Vectorian
  • *****
  • Posts: 2046
Re: 070908 - Kompozer 0.7.10
« Reply #8 on: September 08, 2007, 09:23:36 am »

Quote
I do have VMWare installed, but what it has to do with kompozer I have no idea.

I misread this.  I thought you said you did not have VMWare installed.  That's why I was so confused, since I knew for  a fact I did not. I'd bet if you ran /sbin/ldconfig right now as root you would get that same message.  It just was visible to you during the kompozer install.
Logged

roseway

  • Packager
  • Vectorite
  • ****
  • Posts: 135
Re: 070908 - Kompozer 0.7.10
« Reply #9 on: September 08, 2007, 10:44:24 am »

You're right. So that was a red herring.
Logged
Eric